# SurfaceUI

## SurfaceUI

클라이언트에서 사용되는 Surface UI 개체에요.

### **속성**

<br>

| **Visible** |
| ----------- |

UI의 표시 여부를 설정할 수 있어요. (UI 표시 여부)

\-- 샘플 --

```lua
local someUI = Workspace.SurfaceUI
someUI.Visible = false
```

<br>

| **Opacity** |
| ----------- |

UI의 Opacity값을 설정 합니다.

\-- 샘플 --

```lua
local someUI = Workspace.SurfaceUI
someUI.Opacity = 0.5
```

\ <br>

## **사용 가능한 부모 오브젝트 기능들**

### **속성**

| **이름** | **설명** |
| ------ | ------ |

### **이벤트**

| **이름**                                                                                           | **설명**                                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [**OnVisibleEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)   | <p><strong>UI가 보여질 때 호출되는 이벤트에요.</strong><br><strong>연결함수 형식은 function(UIScene), UIScene 는 보여지는 UIScene 객체 입니다.</strong></p>                                                     |
| [**OnUpdateEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)    | <p><strong>UI가 보여지는 동안 매 프레임마다 호출되는 이벤트에요.</strong><br><strong>연결함수 형식은 function(UIScene, updateTime), UIScene 은 매 프레임마다 호출되는 UIScene 객체 , updateTime 은 number 입니다.</strong></p> |
| [**OnInVisibleEvent**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene) | <p><strong>UI가 안 보여질 때 호출되는 이벤트에요.</strong><br><strong>연결함수 형식은 function(UIScene), UIScene 는 안 보여지는 은 UIScene 객체 입니다.</strong></p>                                               |

### **함수**

| **이름**                                                                                                 | **설명**                                                                                                                                                        |
| ------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [**AddChildUIScene**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)        | **(deprecate) AddChildUIWidget 함수로 이용하세요.**                                                                                                                   |
| [**AddChildWidget**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)         | **자식 UI 위젯을 추가할 수 있어요. (자식으로 추가할 UI 위젯)**                                                                                                                     |
| [**AddUIMove**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)              | **해당 Scene안에 있는 WidgetName의 이름을 가진 위젯의 이동 변화를 추가할 수 있어요. (이동 변화를 줄 위젯 이름, 트랙 이름, 이동 Vector, 변화 완료까지의 시간)**                                                    |
| [**AddUIRot**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)               | **해당 Scene안에 있는 WidgetName의 이름을 가진 위젯의 회전 변화를 추가할 수 있어요. (회전 변화를 줄 위젯 이름, 트랙 이름, 회전 float, 변화 완료까지의 시간)**                                                     |
| [**AddUIScale**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)             | **(deprecated)해당 Scene안에 있는 WidgetName의 이름을 가진 위젯의 크기 변화를 추가할 수 있어요. (스케일 변화를 줄 위젯 이름, 트랙 이름, 스케일 float, 변화 완료까지의 시간)**                                       |
| [**AddUISize**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)              | **해당 Scene안에 있는 WidgetName의 이름을 가진 위젯의 크기 변화를 추가할 수 있어요. (크기 변화를 줄 위젯 이름, 트랙 이름, 크기 Vector, 변화 완료까지의 시간)**                                                    |
| [**AddUIOpacity**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)           | **해당 Scene안에 있는 WidgetName의 이름을 가진 위젯의 투명도 변화를 추가할 수 있어요. (투명도 변화를 줄 위젯 이름, 트랙 이름, 투명도 값, 변화 완료까지의 시간)**                                                      |
| [**AddUIEmpty**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)             | **해당 Scene안에 있는 WidgetName의 이름을 가진 위젯의 변환 대기 시간을 추가할 수 있어요. (트랙 이름, 변환 대기 시간)**                                                                               |
| [**PlayUIActionTrack**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)      | **설정된 변환 컨트롤러 실행해요. (트랙 이름,** [**Enum.TransformPlayType.타입**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/enums/transformplaytype) **, 실행 횟수)** |
| [**StopUIActionTrack**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)      | **변환 컨트롤러를 정지시켜요. (정지 할 트랙 이름)**                                                                                                                              |
| [**PauseUIActionTrack**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)     | **변환 컨트롤러를 일시 정지시켜요. (일시 정지 할 트랙 이름)**                                                                                                                        |
| [**ResumeUIActionTrack**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)    | **변환 컨트롤러를 다시 플레이해요. (다시 플레이 할 트랙 이름)**                                                                                                                       |
| [**IsPlayingUIActionTrack**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene) | **해당 TransformTrack이 플레이 중인지 확인할 수 있어요. (확인 할 트랙 이름)**                                                                                                        |
| [**ResetUIActionTrack**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)     | **해당 TransformTrack를 적용되기 전의 Transform으로 리셋시켜요. (리셋 할 트랙 이름)**                                                                                                |
| [**RemoveUIActionTrack**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)    | **해당 Track을 제거해요. (제거 할 트랙 이름)**                                                                                                                              |
| [**FindWidgets**](https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/uiscene)            | **하위의 오브젝트들 중 WidgetType 에 해당하는 위젯 리스트를 얻을 수 있어요.**                                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ditoland-utplus.gitbook.io/ditoland/api-reference/client/surfaceui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
